#ifndef __PINDEF_H__
#define __PINDEF_H__

#include "iodefine.h"

#define CAN_STB			P1_bit.no2   //    
#define KEY_LB          P12_bit.no0  //喇叭开关 
#define KEY_ZZ          P4_bit.no1   //左转向开关
#define KEY_YZ          P6_bit.no0   //右转向开关
#define KEY_ZXFW        P6_bit.no1   //转向复位开关
#define KEY_JS          P6_bit.no2   //警示开关
#define KEY_YJ          P6_bit.no3   //远近光开关
#define KEY_CC          P3_bit.no0   //超车开关
#define KEY_DD          P1_bit.no7   //大灯开关
#define KEY_DFS         P12_bit.no5  //挡风玻璃调节开关（升）
#define KEY_DFJ         P8_bit.no5   //挡风玻璃调节开关（降）
#define KEY_MS          P8_bit.no4   //仪表确认开关（模式选择）
#define KEY_YBFH        P8_bit.no3   //仪表返回开关
#define KEY_YBS         P8_bit.no2   //仪表调节开关（上）
#define KEY_YBX         P8_bit.no1   //仪表调节开关（下）
#define KEY_QD          P8_bit.no0   //启动开关
#define KEY_XH          P3_bit.no4   //熄火开关
#define KEY_WBJR        P1_bit.no3   //握把加热开关
#define KEY_ZYJR        P1_bit.no4   //座椅加热开关
#define KEY_YD          P1_bit.no5   //夜灯开关
#define KEY_TCS         P1_bit.no6   //TCS

#define KEYID_LB       1
#define KEYID_ZZ       2
#define KEYID_YZ       3
#define KEYID_ZXFW     4
#define KEYID_JS       5
#define KEYID_YJ       6
#define KEYID_CC       7
#define KEYID_DD       8
#define KEYID_DFS      9
#define KEYID_DFJ      10
#define KEYID_MS       11
#define KEYID_YBFH     12
#define KEYID_YBS      13
#define KEYID_YBX      14
#define KEYID_QD       15
#define KEYID_XH       16
#define KEYID_WBJR     17
#define KEYID_ZYJR     18
#define KEYID_YD       19
#define KEYID_TCS      20
#define KEY_NUM        20



#define ADCH_IGN    0


#define LEFT_BOARD  1
#define RIGHT_BOARD 2
#define NOW_BOARD RIGHT_BOARD


#endif

